Status sidor

GET https://uptime4.com/api/status-pages/
curl --request GET \
--url 'https://uptime4.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
Parametrar Detaljer Beskrivning
search Valfritt StrÀng SökstrÀngen.
search_by Valfritt StrÀng Vilket fÀlt söker du efter? TillÄtna vÀrden Àr: name.
is_enabled Valfritt Boolean
project_id Valfritt Heltal
domain_id Valfritt Heltal
datetime_field Valfritt StrÀng TillÄtna vÀrden: datetime, last_datetime
datetime_start Valfritt StrÀng Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Valfritt StrÀng Filter results up to this datetime. Y-m-d H:i:s format.
order_by Valfritt StrÀng Vilket fÀlt att sortera resultaten efter. TillÄtna vÀrden Àr: status_page_id, datetime, last_datetime, name, pageviews.
order_type Valfritt StrÀng Ordningen av resultaten. TillÄtna vÀrden Àr: ASC för stigande ordning, och DESC för fallande ordning.
page Valfritt Heltal Sidanummeret som du vill ha resultat frÄn. StandardinstÀllning Àr 1.
results_per_page Valfritt Heltal Hur mÄnga resultat vill du ha per sida. TillÄtna vÀrden Àr: 10, 25, 50, 100, 250, 500, 1000. StandardvÀrde Àr 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "domain_id": 0,
            "monitors_ids": [1,2,3],
            "project_id": 0,
            "url": "example",
            "full_url": "https://uptime4.com/example/",
            "name": "Example",
            "description": "This is just a simple description for the example status page 👋.",
            "socials": {
                "facebook": "example",
                "instagram": "example",
                "twitter": "example",
                "email": "",
                "website": "https://example.com/"
            },
            "logo_url": "",
            "favicon_url": "",
            "opengraph_url": "",
            "password": false,
            "timezone": "UTC",
            "custom_js": "",
            "custom_css": "",
            "pageviews": 50,
            "is_se_visible": true,
            "is_removed_branding": false,
            "is_enabled": true,
            "datetime": "2026-07-31 01:23:31",
            "last_datetime": "2026-07-31 01:23:31"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptime4.com/api/status-pages?page=1",
        "last": "https://uptime4.com/api/status-pages?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/status-pages?page=1"
    }
}
GET https://uptime4.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "domain_id": 0,
        "monitors_ids": [1,2,3],
        "project_id": 0,
        "url": "example",
        "full_url": "https://uptime4.com/example/",
        "name": "Example",
        "description": "This is just a simple description for the example status page 👋.",
        "socials": {
            "facebook": "example",
            "instagram": "example",
            "twitter": "example",
            "email": "",
            "website": "https://example.com/"
        },
        "logo_url": "",
        "favicon_url": "",
        "opengraph_url": "",
        "password": false,
        "timezone": "UTC",
        "custom_js": "",
        "custom_css": "",
        "pageviews": 50,
        "is_se_visible": true,
        "is_removed_branding": false,
        "is_enabled": true,
        "datetime": "2026-07-31 01:23:31",
        "last_datetime": "2026-07-31 01:23:31"
    }
}
POST https://uptime4.com/api/status-pages
Parametrar Detaljer Beskrivning
name Obligatoriskt StrÀng -
description Valfritt StrÀng -
url Valfritt StrÀng -
domain_id Valfritt Heltal -
is_main_status_page Valfritt Boolean -
monitors_ids Valfritt Array -
heartbeats_ids Valfritt Array -
curl --request POST \
--url 'https://uptime4.com/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
{
    "data": {
        "id": 1
    }
}
POST https://uptime4.com/api/status-pages/{status_page_id}
Parametrar Detaljer Beskrivning
name Valfritt StrÀng -
description Valfritt StrÀng -
url Valfritt StrÀng -
timezone Valfritt StrÀng -
password Valfritt StrÀng -
title Valfritt StrÀng -
meta_description Valfritt StrÀng -
meta_keywords Valfritt StrÀng -
language_code Valfritt StrÀng -
font_family Valfritt StrÀng -
theme Valfritt StrÀng -
custom_css Valfritt StrÀng -
custom_js Valfritt StrÀng -
domain_id Valfritt Heltal -
is_main_status_page Valfritt Boolean -
project_id Valfritt Heltal -
font_size Valfritt Heltal -
auto_refresh Valfritt Heltal -
pwa_display_install_bar_delay Valfritt Heltal -
monitors_ids Valfritt Array -
heartbeats_ids Valfritt Array -
socials Valfritt Array TillÄtna vÀrden: socials[facebook], socials[instagram], socials[x], socials[threads], socials[email], socials[website]
is_enabled Valfritt Boolean -
is_se_visible Valfritt Boolean -
is_removed_branding Valfritt Boolean -
display_share_buttons Valfritt Boolean -
display_header_text Valfritt Boolean -
pwa_is_enabled Valfritt Boolean -
pwa_display_install_bar Valfritt Boolean -
logo Valfritt Fil -
logo_remove Valfritt Boolean -
favicon Valfritt Fil -
favicon_remove Valfritt Boolean -
opengraph Valfritt Fil -
opengraph_remove Valfritt Boolean -
pwa_icon Valfritt Fil -
pwa_icon_remove Valfritt Boolean -
pwa_theme_color Valfritt StrÀng -
curl --request POST \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptime4.com/api/status-pages/{status_page_id}
curl --request DELETE \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "domain_id": 0,
        "monitors_ids": [1,2,3],
        "heartbeats_ids": [1,2,3],
        "project_id": 0,
        "url": "example",
        "full_url": "https://uptime4.com/example/",
        "name": "Example",
        "description": "This is just a simple description for the example status page 👋.",
        "settings": {
            "title": "Example",
            "meta_description": "",
            "meta_keywords": "",
            "language_code": "en",
            "font_family": "default",
            "font_size": 16,
            "display_share_buttons": true,
            "display_header_text": true,
            "auto_refresh": 0,
            "pwa_file_name": null,
            "pwa_is_enabled": false,
            "pwa_icon": null,
            "pwa_display_install_bar": false,
            "pwa_display_install_bar_delay": 3,
            "pwa_theme_color": "#000000"
        },
        "socials": {
            "facebook": "",
            "instagram": "",
            "x": "",
            "threads": "",
            "email": "",
            "website": ""
        },
        "logo_url": null,
        "favicon_url": null,
        "opengraph_url": null,
        "password": false,
        "timezone": "UTC",
        "custom_js": "",
        "custom_css": "",
        "pageviews": 0,
        "is_se_visible": true,
        "is_removed_branding": false,
        "is_enabled": true,
        "datetime": "2026-07-31 01:23:31",
        "last_datetime": "2026-07-31 01:23:31"
    }
}